<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$maindb = 'widowpay';

$file = "widowpay.php";
$fseries = $_SESSION["series_" . $dbname];
$keycond = " AND a.`series`='$fseries' ";
$zroot = $_SESSION["zdbroot"];


$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `vouchno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `vouchdt` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `name` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `descrip` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `amount` = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `vouchno` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `vouchdt` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `descrip` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `amount` LIKE '%$searchTerm%'";
    } 
}

$sortcond = "ORDER BY `vouchno`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `vouchno`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `vouchdt`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `name`";
} else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY `decrip`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY `amount`";
} else if ($_REQUEST["sortBy"] == "6") {
    $sortcond = " ORDER BY `tel`";
} else if ($_REQUEST["sortBy"] == "7") {
    $sortcond = " ORDER BY `mobile`";
} else if ($_REQUEST["sortBy"] == "8") {
    $sortcond = " ORDER BY `email`";
}


$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}

mysqli_query($conn, "Create temporary table `in` SELECT a.*,b.accode,b.name,c.code,c.descrip FROM `$maindb` a,
                                                  $zroot.`member` b, $zroot.`months` c  where a.`vouchno` != '' AND
                                                  a.monthno = c.code  AND a.party = b.accode  $keycond ") or die(mysqli_error($conn));
// mysqli_query($conn, "Create temporary table `in` SELECT * FROM `$maindb` WHERE `vouchno` != '' $keycond ") or die(mysqli_error($conn));

$srchresult = "SELECT *,DATE_FORMAT(`vouchdt`, '%d-%m-%Y')as vouchdt FROM `in` WHERE vouchno != '' $cond $sortcond $ordcond  LIMIT $rangeFrom,$rangeTo" or die(mysqli_error($conn));


$result = mysqli_query($conn, $srchresult) or die(mysqli_error($conn));
$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {

    $rows[] = [
        'success' => true,
        'value'    => $ctr,
        'keyfld'   => $keyfld,
        'vouchno'  => $r['vouchno'],
        'vouchdt'  => $r['vouchdt'],
        'party'  => $r['name'],
        'descrip'  => $r['descrip'],
        'amount'  => $r['amount'],
        'action'   => "$file?mode=edit&vouchno=$r[vouchno]&series=$fseries",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
